Bug 35239 - locate: decode_db() aborted. Corrupt database?
Summary: locate: decode_db() aborted. Corrupt database?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slocate   
(Show other bugs)
Version: 6.2
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-08 19:39 UTC by Le Tanou Jerome
Modified: 2014-03-17 02:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 00:12:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Le Tanou Jerome 2001-04-08 19:39:02 UTC
When we use locate command, we've got some output and an 
error "slocate:decode_db() aborted. Corrupt database?".


Reproducible: Always
Steps to Reproduce:
1.locate something
2.
3.
	
[le-tanou@samba le-tanou]$ locate inetd.conf
/usr/man/man5/inetd.conf.5.gz
/etc/inetd.conf
locate: decode_db() aborted. Corrupt database?

[le-tanou@samba le-tanou]$ rpm -qf /usr/bin/locate
slocate-2.4-0.6.x

[root@samba /root]# uname -a
Linux samba.in.ac-grenoble.fr 2.2.17-14 #1 SMP Sat Mar 31 12:55:00 CEST 
2001 i686 unknown

[root@samba /root]# df -k
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda1               521748     24160    471084   5% /
/dev/sda2                38890      1863     35019   5% /boot
/dev/sda5               521748        52    495192   0% /tmp
/dev/sda6              2071384    482964   1483196  25% /usr
/dev/sda7              5139108    325132   4552924   7% /var
/dev/sdb1             10324612    481976   9842636   5% /mnt/sdb1
/dev/sdb2             20649404   5515720  15133684  27% /mnt/sdb2
/dev/sdb5             82572164  50590188  31981976  61% /home
/dev/sdb3             41290356  12558208  28732148  30% /home/share


We've tried this :
[root@samba /root]# rm /var/lib/slocate/slocate.db
rm: remove `/var/lib/slocate/slocate.db'? y
[root@samba /root]# /etc/cron.daily/slocate.cron
[root@samba /root]# ls -l /var/lib/slocate/
total 5400
-rw-r-----    1 root     slocate   5514164 Apr  8 21:35 slocate.db

But we've always got the same error.

Comment 1 Bill Nottingham 2001-05-04 00:12:01 UTC
This is fixed in the current slocate, AFAIK.


Note You need to log in before you can comment on or make changes to this bug.